org.apache.fop.area

## Interface OffDocumentItem

- All Known Implementing Classes:
    AbstractOffDocumentItem, BookmarkData, DestinationData, OffDocumentExtensionAttachment

      public interface OffDocumentItem

  Interface for objects that are processed by the renderer outside of the actual document. An object implementing this interface can be handled by the renderer according to these possibilities: IMMEDIATELY, AFTER_PAGE or END_OF_DOC.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AFTER_PAGE` Process this extension after the next page is rendered or prepared when being handled by the area tree.
    `static int` | `END_OF_DOC` Process this extension at the end of the document once all pages have been fully rendered.
    `static int` | `IMMEDIATELY` Process this extension immediately when being handled by the area tree.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Return a human-readable name for this ODI (for error messages, etc.)
    `int` | `getWhenToProcess()` Get an indicator of when this item should be processed

- - ### Field Detail

    - #### IMMEDIATELY

          static final int IMMEDIATELY

      Process this extension immediately when being handled by the area tree.
      See Also:
        Constant Field Values

    - #### AFTER_PAGE

          static final int AFTER_PAGE

      Process this extension after the next page is rendered or prepared when being handled by the area tree.
      See Also:
        Constant Field Values

    - #### END_OF_DOC

          static final int END_OF_DOC

      Process this extension at the end of the document once all pages have been fully rendered.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getWhenToProcess

          int getWhenToProcess()

      Get an indicator of when this item should be processed
      Returns:
        int constant (IMMEDIATELY, AFTER_PAGE, END_OF_DOC)

    - #### getName

          java.lang.String getName()

      Return a human-readable name for this ODI (for error messages, etc.)
      Returns:
        String name of ODI

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.